# __gnu_cxx::_RandomAccessContainerConcept< _RandomAccessContainer > Struct Template Reference

List of all members.

## Detailed Description

### template<class _RandomAccessContainer>
struct __gnu_cxx::_RandomAccessContainerConcept< _RandomAccessContainer >

Definition at line 672 of file boost_concept_check.h.

## Public Types

- typedef _RandomAccessContainer::const_iterator _Const_iterator
- typedef _RandomAccessContainer::const_reference _Const_reference
- typedef _RandomAccessContainer::const_reverse_iterator _Const_reverse_iterator
- typedef _RandomAccessContainer::size_type _Size_type

## Public Member Functions

- void __constraints ()

## Public Attributes

- _Size_type __n

The documentation for this struct was generated from the following file:

- boost_concept_check.h